Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class FindQualifiers

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.FindQualifiers

public class FindQualifiers
extends java.lang.Object

The findQualifiers structure is a collection of findQualifier structures that are passed in findXXXXX inquiry functions to alter the default behaviour of the search functionality.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`FindQualifiers()` Class constructor.

Method Summary
`void` | `addFindQualifier(java.lang.String value)` Adds a new find qualifier to the set of find qualifiers.
`java.util.Vector` | `getFindQualifierVector()` Gets the set of find qualifiers.
`void` | `setFindQualifierVector(java.util.Vector value)` Sets the set of find qualifiers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindQualifiers

    public FindQualifiers()

  Class constructor.

Method Detail

### addFindQualifier

    public void addFindQualifier(java.lang.String value)

  Adds a new find qualifier to the set of find qualifiers.

  Parameters:
    `value` - the new find qualifier.

### setFindQualifierVector

    public void setFindQualifierVector(java.util.Vector value)

  Sets the set of find qualifiers.

  Parameters:
    `value` - the new set of find qualifiers.

### getFindQualifierVector

    public java.util.Vector getFindQualifierVector()

  Gets the set of find qualifiers.

  Returns:
    the current set of find qualifiers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference